Subject: bug#11731: gnus-summary-rescan-group loses expirable marks

From: Dave Abrahams <[email-masked]>
Date: Wed, 26 Sep 2012 09:50:57 -0400

on Mon Sep 17 2012, Dave Abrahams <dave-AT-boostpro.com> wrote:

> on Wed Sep 05 2012, Lars Ingebrigtsen <larsi-AT-gnus.org> wrote:
>
>> Dave Abrahams <[email-masked]> writes:
>>
>>> I don't know.  Of course I have lots of hooks and customizations; it's
>>> hard to know which of these might interfere.  Here they are for your
>>> amusement, though:
>>>
>>> https://github.com/dabrahams/dwamacs/blob/master/settings/gnus-settings.el
>>
>> I can't look through that.  Could you just edebug through
>> `gnus-summary-exit' and see what doesn't happen?
>
> This appears to be a transient problem; I'm having a hard time
> reproducing it now, but I know I've seen it in the past few weeks.
> Might as well close this bug until I can give a more reliable report.

Well, it's happening again.  Messages that I've marked expirable keep
coming back after `M-g' in the summary buffer.  I don't know what's
causing it of course; is there anything I can do to gather useful
information that will help debug it?

-- 
Dave Abrahams
BoostPro Computing                  Software Development        Training
http://www.boostpro.com             Clang/LLVM/EDG Compilers  C++  Boost